# https://github.com/intel/numatop/pull/53
%undefine _ld_as_needed

Summary:        Memory access locality characterization and analysis
Name:           numatop
Version:        2.2
Release:        4%{?dist}
License:        BSD
URL:            https://01.org/numatop
Source:         https://github.com/intel/numatop/archive/refs/tags/v%{version}.tar.gz

Patch3000:      format.patch

BuildRequires:  autoconf automake make libtool
BuildRequires:  gcc check-devel ncurses-devel numactl-devel

ExclusiveArch:  x86_64 ppc64le

%description
NumaTOP is an observation tool for runtime memory locality characterization and
analysis of processes and threads running on a NUMA system. It helps the user
characterize the NUMA behavior of processes and threads and identify where the
NUMA-related performance bottlenecks reside.

NumaTOP supports the Intel Xeon processors and PowerPC processors.


%prep
%autosetup -p1

%build
autoreconf -fis
%configure
%make_build

%install
%make_install

%check
%make_build check


%files
%license COPYING
%doc AUTHORS
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 2.2-1
- initial build
